Models API
Copy Page as Markdown
Use the Models API to list the model IDs available to your API key.
List models
GET /v1/modelsRequest
cURLTypeScriptPython
Response
The response follows the OpenAI-compatible list shape. Use a returned id with
the endpoint that supports that model.
{
"object": "list",
"data": [
{
"id": "subq-preview",
"name": "SubQ Preview",
"object": "model",
"created": 0,
"owned_by": "subquadratic"
},
{
"id": "subq-snap-preview",
"name": "SubQ Snap Preview",
"object": "model",
"created": 0,
"owned_by": "subquadratic"
}
]
}For current model capabilities and preview constraints, see Models.